Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class NewsMessage<T>

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Message<T>
          be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage<T>
              be.ehealth.businessconnector.ehbox.api.domain.NewsMessage<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Serializable

    public class NewsMessage<T>

extends DocumentMessage<T>

NewsMessage class declaration. Extends : `DocumentMessage`

See Also:
  Serialized Form

Constructor Summary
`NewsMessage()` Creates a new NewsMessage with MimeType text/plain.

Method Summary
`Document` | `getNews()` Deprecated. will be removed in version 3.3 , use getDocument() instead
`String` | `getNewsTitle()` Deprecated. will be removed in version 3.3 , use getDocument().getTitle() instead
`void` | `setContent(Byte[] content)` Deprecated. : use setContent(byte[] content) instead
`void` | `setNews(Document news)` Deprecated. will be removed in version 3.3 , use setDocument(news) instead
`void` | `setNewsContent(byte[] content)` Deprecated. will be removed in version 3.3 , use getDocument().setContent(content) instead
`void` | `setNewsTitle(String title)` Deprecated. will be removed in version 3.3 , use getDocument().setTitle(title) instead

Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage
`getAnnexList, getCopyMailTo, getDocument, getDocumentTitle, getFreeInformationTableRows, getFreeInformationTableTitle, getFreeText, getPatientInss, setDocument, setFreeInformationTableRows, setFreeInformationTableTitle, setFreeText, setPatientInss`

Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message
`generatePublicationId, getCustomMetas, getDestinations, getExpirationDate, getExpirationDateTime, getId, getMandatee, getOriginal, getPublicationDate, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDate, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setMandatee, setOriginal, setPublicationDate, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewsMessage

    public NewsMessage()

  Creates a new NewsMessage with MimeType text/plain.

Method Detail

### getNewsTitle

    @Deprecated
    public String getNewsTitle()

  Deprecated. will be removed in version 3.3 , use getDocument().getTitle() instead

  Returns:
    news Title or null if news if null

### setNewsTitle

    @Deprecated
    public void setNewsTitle(String title)
                      throws EhboxBusinessConnectorException

  Deprecated. will be removed in version 3.3 , use getDocument().setTitle(title) instead

  Parameters:
    `title` - of the news
  Throws:
    `EhboxBusinessConnectorException` - if news is null

### setNewsContent

    @Deprecated
    public void setNewsContent(byte[] content)

  Deprecated. will be removed in version 3.3 , use getDocument().setContent(content) instead

  Parameters:
    `content` -

### setContent

    @Deprecated
    public final void setContent(Byte[] content)

  Deprecated. : use setContent(byte[] content) instead

  Parameters:
    `content` - the content to set

### getNews

    @Deprecated
    public final Document getNews()

  Deprecated. will be removed in version 3.3 , use getDocument() instead

  Returns:
    the news

### setNews

    @Deprecated
    public final void setNews(Document news)

  Deprecated. will be removed in version 3.3 , use setDocument(news) instead

  Parameters:
    `news` - the news to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.